<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LCcmExternalIpMap StructType
 * @subpackage Structs
 */
class LCcmExternalIpMap extends AbstractStructBase
{
    /**
     * The callManagerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $callManagerName;
    /**
     * The ipAddressHost
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipAddressHost;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LCcmExternalIpMap
     * @uses LCcmExternalIpMap::setCallManagerName()
     * @uses LCcmExternalIpMap::setIpAddressHost()
     * @uses LCcmExternalIpMap::setPort()
     * @uses LCcmExternalIpMap::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName
     * @param string $ipAddressHost
     * @param string $port
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName = null, $ipAddressHost = null, $port = null, $uuid = null)
    {
        $this
            ->setCallManagerName($callManagerName)
            ->setIpAddressHost($ipAddressHost)
            ->setPort($port)
            ->setUuid($uuid);
    }
    /**
     * Get callManagerName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getCallManagerName()
    {
        return $this->callManagerName;
    }
    /**
     * Set callManagerName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcmExternalIpMap
     */
    public function setCallManagerName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $callManagerName = null)
    {
        $this->callManagerName = $callManagerName;
        return $this;
    }
    /**
     * Get ipAddressHost value
     * @return string|null
     */
    public function getIpAddressHost()
    {
        return $this->ipAddressHost;
    }
    /**
     * Set ipAddressHost value
     * @param string $ipAddressHost
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcmExternalIpMap
     */
    public function setIpAddressHost($ipAddressHost = null)
    {
        $this->ipAddressHost = $ipAddressHost;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcmExternalIpMap
     */
    public function setPort($port = null)
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCcmExternalIpMap
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
